FlashGet(JetCar) User Guide

Previous Index Next FlashGet User Guide

FlashGet(JetCar) User Guide

Last updated 02/04/2000

The latest User Guide(zip format) may be downloaded http://www.amazesoft.com here

Overview
Installation
Quick Start
Manage download jobs
Icons
Menu
Manage files
Interface settings
Options
FAQ
Thanks

Previous Index Next FlashGet User Guide


Overview -- FlashGet User Guide

Overview

What's the biggest problem of downloading --- Speed, the second biggest --- Management after downloading. FlashGet was written for these two problems. By splitting files into parts and download them (all the parts) simultaneously, the downloading speed increases from 100% to 500%. FlashGet is capable of creating unlimited number of categories, each category has a specified hard drive directory, files placed in categories will be stored in the specified directory, the powerful and easy-to-use management features help you to organize your files in a way that you had never organized before
Features
  1. Splits files into 8 parts the most, allowing 7 different jobs to be downloaded simultaneously. FlashGet might be the fastest download software around!
  2. Categorize files, a handful of powerful management features
  3. Manage earlier downloaded files
  4. Check for updates
  5. Auto dial up, auto shut down and auto hang up
  6. Support proxy
  7. Customizable toolbar and columns
  8. Special queuing system
  9. Auto select language
  10. Schedule downloads
  11. Automate with browser clicks, supports IE and Netscape
  12. Speed limit, so download will not interrupt or slow down the normal loading of Web pages


Installation -- FlashGet User Guide

Installation

  • Download the FlashGet installation package.
  • Extract all files from the package into a temporary directory using your archiver, such as WinZip.
  • On Windows NT systems, login with Administrator privileges.
  • EXIT ALL RUNNING PROGRAMS.
  • Run SETUP.EXE and follow the instructions.
  • Now it is safe to delete the installation files. You may want to preserve the zipped package in case you need to re-install FlashGet later.
Update
When updating FlashGet, do not delete file(s) of the previous version. Especially default.jcd, this file contain all download jobs information, if deleted, all download jobs will not operate properly. If you installed FlashGet to a new directory, which is different to the one you had installed previous versions, you must copy default.jcd to the new directory in order for the download jobs to work.
Uninstallation
  • Doubleclick the Add/Remove Programs icon in the Windows Control Panel.
  • Select FlashGet in the list of installed programs and click the Add/Remove button. Follow the instructions
  • If you deleted the FlashGet files without uninstalling the application, use the UNREG.INF file to remove the registry keys responsible for the browser integration. You can find this file in the distribution package or download it from http://www.amazesoft.com/unreg.inf. Right-click on the UNREG.INF file in the Windows File Explorer and select Install in the popup menu.


Quick Start -- FlashGet User Guide

Quick Start
After finish installing, FlashGet will be launched automatically when the browser is asked to download file, click on OK and the download process will start, if not so, look at the detail window to find out what was the problem, usually is because you're not using Proxy Server. Refer to "FlashGet options" for further detail. Due FlashGet's use of a proxy server list, after setting Proxy in Options window, you also have to tell FlashGet which server to use in the Download Properties window.


Manage download jobs -- FlashGet User Guide

Manage Download jobs
Add download job:
  1. Monitor browser clicks
    FlashGet monitors browser clicks. When clicking on an URL, FlashGet monitors it to see whether its extension matches the ones you had set or not, if so, that URL will be add to the job list. For better control, you can set FlashGet to monitor browser clicks only when 'ALT' is hold.
  2. Extended IE's context menu
    FlashGet has added "Download All By FlashGet" and "Download using FlashGet" to IE's context menu. These will download all links within the page or one single link selected.
  3. Monitor clipboard
    When copying a legal URL to clipboard, no matter where it was from, that URL will be added to the job list as long as its extension matches with the ones you had set.
  4. Drag & Drop
    Drag any URL from the browser window to "Drop zone" or the main window. FlashGet support multiple links dragging from IE.
  5. Manually enter URL
    Click on "Job" menu and then choose "Add job".
Job's properties:
  • URL: The file's full URL
  • Referrer: URL from any download page, some server require referrer in order to start download, leave it empty, for FlashGet will get the right URL for you.
  • Category: The category of the job, when finished, the file will be automatically moved to the chosen category, default category is "downloaded", see "Manage files" for more detail
  • Directory: Store the actual file to a specified folder (directory), we do not recommended you to use this option.
  • Rename: Save the file in a different name to the one shown in URL
  • Http and FTP proxy: FlashGet has a proxy list, you may chose which proxy server you would like to use
  • Split file: Split files into 1-10 part(s), it increases the downloading speed significantly. Some users had suggested to have file splits into more than 10 parts to increase the downloading speed, actually, splitting file into more than 10 parts will only slow down the speed, also, it might cause the server to crash. To prevent crashing, we won't go over 10, also, we don't recommend to have all files split into 10 parts, in most cases 3-5 is enough. Not only supporting multi-thread downloading method, FlashGet also supports schedule downloads, start downloading at non peak time or cheap rate period can save you time and money. We're developing another feature which will speeds up the downloading speed even more.
  • Login to server, User name, password: Some server needs to have users identified, put your identity here.
  • Start: Includes "Manually", "Immediately", "Schedule". "Manually", only adds the URL to the download list, but will not start downloading immediately, "immediately" starts downloading immediately, "Schedule", starts download at scheduled time. You can switch between the three options whenever you want. If you find the downloading speed too slow, you can stop and switch it to "Schedule".
  • Comment: After a long period of time you might forget what the file was for, you may put comments here so that you won't forget.
  • Save as default: Save job's current properties as default. Later added jobs will use the same properties options
Delete:
Any deleted jobs will be stored in the "Deleted" folder, you can only get rid of the job by deleting it again in the "Deleted" folder. You can delete the job without going through "Deleted" folder by holding down "Shift" while clicking on delete


Icons -- FlashGet User Guide

Icons
  1. Server supports resume and multi-thread
  2. Server does not support resume, CAN NOT use multi-thread
  3. Waiting for the other job(s) to finish
  4. Downloading
  5. Successfully downloaded
  6. Download failed
  7. Not in a download state
  8. Job in schedule mode
  9. Waiting for other job(s) to finish checking for update(s)
  10. Checking for update
  11. Checking failed
  12. Not in checking mode
  13. Scheduled for checking

Previous Index Next FlashGet Use Guide


Menu -- FlashGet User Guide

Previous Index Next FlashGet Guide

Menu
File
  • New: Create a new download data file
  • Open: Open a existing download data file
  • Save: Save the current data file
  • Save as: Save the current data file with a new name
  • Add file: Add previously finished/unfinished download file to the job list
  • Add Batch file: Add batch jobs that had not been downloaded and/or categorized by FlashGet, FlashGet is able to create categories according to directories.
  • Export Information: Export current database into a descripton file or HTML file,description file is placed in downloaded directory, it's extension is ".Log". HTML file can be customized, View Normal.jcs and table.jcs and design the HTML file that suits your style. Notice: Do not change the content of Normal.jcs and Table.jcs, please save the file using another name, its extension has to be jcs.
  • Most recent download jobs: Making it easier to find files that had been placed in categories and you don't where it is.
  • Quit: Quit FlashGet
Category
  • New Category...: Create a new category
  • Move to: Move selected category/categories to another category
  • Delete: Delete selected category/categories, please notice that when deleting a category, all jobs it contain will also be deleted
  • Properties: change the properties of categories
Edit
  • Paste URL: Use the URL in clipboard to create a new job
  • Select all: Select every job in that category
  • Invert selection: Change the selected to unselected and unselected to selected
  • Find: find a job
  • Find next: Find next job
View
  • Detail: Hide or show the detail window
  • Drop zone: Hide or show drop zone
  • Toolbar/Show text: Show or hide text label
  • Toolbar/Buttons...: Change button settings
  • Columns...: Column settings. for more detail see "Interface settings"
  • Language: FlashGet supports Chinese and English
Jobs
  • New download: Create a new download
  • Add batch download: Use Add batch download if there are a lot of files to download and they have a pattern in their names. For example: file01.zip--file10.zip
  • Start: Start downloading
  • Pause: Stop downloading
  • Pause all: Stop every downloading job
  • Schedule: schedule download
  • Move to...: Move the selected job(s) to another category
  • Delete: Delete selected job(s)
  • Move up: Move the selected job(s) up, the higher the job the earlier it will be downloaded, hold "ALT" and move the selected file(s) to top
  • Move down: Move the selected job(s) down, the lower the job the later it will be downloaded, hold "Alt" and move the selected file(s) to bottom
  • Check for update: Check to see whether the downloaded file had been updated or not
  • Download again:


Manage files -- FlashGet User Guide

Manage files

Manage files is one of FlashGet's most important feature. FlashGet uses categorize method to manage downloaded files. You may specify a directory for each category, every downloaded file sorted in categories will be moved to the specified hard drive directory. For example: every job saved in the category "MP3" will be moved to c:\download\mp3. When putting files to "Mp3", the actual file will be moved to c:\download\mp3. You can even make subcategories within categories. For example: you can make Disk1 and Disk2 as subcategories under "MP3". FlashGet allows you to create as many categories and subcategories as you want. Downloaded files can change to other category at any time, the actual file moves with the downloaded job. You can also categorize files using Drag and Drop.

There are three default FlashGet categories: "Download", "Downloaded" and "Deleted", All unfinished jobs are stored in "Download", finished jobs are stored in "Downloaded", all deleted jobs are stored in "Deleted", the only way to get rid of a job is to delete it in "Deleted", this works the same as the "Recycle Bin".

If you download a huge amount of files, than creating new categories is necessary. You can create categories by going to "Category" in the menu, or right click on the "tree view" on the left, options include "New Category", "Move to", "Delete" and properties.
There are options for moving and deleting jobs too. Go to Option/File Manager for more detail
Trick:
Do not specify any category when downloading, drag the finished job to the category you would like it to be in


Interface Settings -- FlashGet User Guide

Interface settings

FlashGet provides toolbar and download job information interface settings for you to adjust
FlashGet provides plenty of information, so that user may know more about the download job, information include: "Status", "Resume", "Name", "Size", "Completed", "Percent", "Elapsed", "Left", "Speed", "Num", "retry", "URL", "Comment", "Create time", "Complete time". By going to "View/Column", you may rearrange any available columns. The columns for "Downloading and "Downloaded" jobs are different. You are only allowed to rearrange the "Downloading" ones.
By going to "View/Toolbar/Buttons", you may choose which button to display, number of buttons and the placement of buttons


Program settings -- FlashGet User Guide

FlashGet Options
General:
  • Start main window minimized: Hide the main window, and show a tray icon when starting up.
  • Prompt when drop: When drop an URL onto "drop zone" or the main window, the properties window appears, the user may adjust the settings, of course, you can also use the default settings, and the URL will be added straight to the download list.
  • Not support resume still start download: If the server doesn't support "resume", FlashGet will start downloading the file anyway. But it is almost impossible to finish downloading a file without "resume", uncheck this option and FlashGet will not download any files stored on a server that doesn't support resume.
  • if error occurs stop downloading: If the user uses "Not support resume still start download" and this option, whenever FlashGet meets an error, it will stop transferring the file.
  • Auto save listed file every ____ minutes: To minimize the lost of data due to any unexpected lock down or crashes, FlashGet saves the download list every 10 minutes by default. If crashes do occur, you'll only lose the unsaved data.
  • Get file date and time from server: Keep the local files up to date with the ones on the server.
  • Start downloading on startup: Start downloading the file(s) that were downloading when you last closed FlashGet.
  • Use ".jc!" as file extension till the download is finished: Use "jc!" as downloading file's extension to distinguish it from the other files, when finished, the file will be changed back to its original extension.
  • Display file size in byte:Kilobyte is the default unit for display file size, completed rate and transfer speed etc. this option sets the default unit to byte.
  • Auto backup download database everyday:Default.jcd contains all download information called download database. If damaged or lost, all previous download information will be lost. Downloading file will not be able to finish. For the importance of this file, FlashGet backs it up every day, backed up files are default.bk1, default.bk2, and default.bk3. If download database damaged or lost, use these files to replace the lost file.
Proxy:
In the proxy list, you can choose whichever server you would like to use, you can set FlashGet to use different server for different jobs to maximize the speed.
  • HTTP Default: Choose your default HTTP server
  • FTP Default: Choose your default FTP server
  • Title: Proxy server's name
  • Roll back: When you're using HTTP proxy server to download, whenever error occurs, the server will add error data to the file, this makes the file faulty, use this option to prevent this fault.
  • Add: Add a new proxy server to proxy list
  • Edit: Edit selected server's settings
  • Delete: Delete selected server from server list
Proxy settings:
  • Title: server's full name
  • Server & port: Server's actual address & port
  • Type: Server type
  • No cache: Some proxy server stores browsed data in its "cache", when someone requests access to that data later, proxy server will take that data out straight from cache instead of getting it from its original position. Check this option, FlashGet will request the server not to use cache.
  • PASV mode: If you're using proxy server, we recommend you to use PASV mode.
  • Authenticate, User and Password: If the server required you to be identified, fill in the necessary information here
Connection:
  • Time out/Connection: Not connected within the connection time is considered as a failure connection
  • Time out/Data: Not receiving any data from the server within the "Data" time is considered as a receiving failure, FlashGet won't transfer any more data
Protocol:
  • Use ASCII file type: FTP has two transfer methods, ASCII and binary. User may put down some extensions, file with the extension listed will use the ASCII method to transfer
  • User-Agent: Some Web Site only allows certain browser(s) to download from their site. By using this option, you're telling FlashGet to imitate IE or Netscape Navigator
  • User define: If User define were chosen in User agent, you must enter definition here
Monitor:
  • Clipboard: When copying a URL, FlashGet detects it to see whether its downloadable or not, if so, the URL will be added to the download list if URLs are not duplicated.
  • Confirmation: Notify user when a downloadable URL in clipboard is detected
  • Netscape Navigator?Monitor Netscape Navigator clicks
  • Internet Explorer: Monitor IE clicks
  • Use ALT key: Hold "Alt" when clicking on a downloadable URL
  • Confirmation: Notify user when clicked on a downloadable link
  • Monitor type: Links or URLs with the listed extensions are consider as downloadable URLs. If a URL is not downloadable than it will not be added to job list
Graph/Log:
  • Scale: Data transfer graph's largest number, you should set your number according to how fast your connection is.
  • Forecolor: Fore color of the graph
  • Backcolor: Background color of the graph
  • Log window: Different color for different line
File manager:
  • Move item(s) to other category: When moving jobs to other category, the relate files will also be moved to the default folder of that category. There are three options for moving jobs: Move, do not move and Prompt
  • If destination file exist: When downloading, you might find you self downloading two different files with the same file name. The options for "If destination file exist" are overwrite, Auto rename and Stop
  • Use virus scanner to scan the downloaded file(s)?Select this option to scan downloaded files with the Virus Scanner of your choice.
  • Specify Virus scanner and args.For example
    McAfee AntiVirus: C:\Program Files\McAfee\VirusScan95\scan95, args: /autoscan /nosplash
    Norton AntiVirus: C:\Program Files\Norton Antivirus\navw32.exe, Args (empty)
    Now you can right click on downloaded jobs and select Virus Scan to scan files for virus
Dial up networking:
  • Hang up when done: Hang up when finished downloading every job you had been downloading, FlashGet will disconnect from all RAS connections
  • Connection, User name and password: The same as the Windows' connection system
  • Redial if disconnected: FlashGet will automatically redial if disconnected from the net
  • Retry failure connection and between retry wait: Waiting time
Schedule:
  • Start downloading at: Set a time for FlashGet to start downloading automatically, set it to non-peak time or when phone rate are cheap.
  • Stop downloading files at: Stopping time
Sounds:
  • Sound Enabled: Activate sounds
  • Events: FlashGet can play "add new job", "Download success", "Download failure" and "All down" 's sound
  • Play: Play selected event sound
  • None: Play no sound for the selected event
  • Browse: Select sound files
Other: "When double click on item(s)" options


FAQ -- FlashGet User Guide

Frequently Ask Questions
Q. How do I report bugs?
A. Please e-mail the author if you encountered an error. In your mail please specify: URL to file which you tried to download
Which OS you are running
The copy of log for this download
FlashGet version
And error description
If "illegal operation" occurred please include the fault detail

Q. How to bypass FlashGet download?
A. Checked "Disable Monitor Browser" in Drop Zone or Tray context menu

Q. How to use JetCar?How to use proxy server?
A.Go to "Tools>>Options...>>Proxy" Check both HTTP and FTP Default to direct connection, or add your own Proxy server address(ask your network administrator for it) by clicking on "Add" That's all you have to do. Now you can use FlashGet to download files. For how to add jobs to the jobs list, refer to the User Guide And if FlashGet doesn't download anything for you after you have successfully added jobs to the job list and pressed Start, then you have to ask your network administrator for a Proxy server address and its port

Q. "Lost advert.dll"?
A.Delete the advert.dll in windows system directory then reinstall FlashGet

Q. How do I make the program to scan downloaded files for virus automatically?
A. Check "Use virus scanner the downloaded file" In [Options/File Manager], and specify the path of the required exe file and its instruction variable. For example:
McAfee AntiVirus: C:\Program Files\McAfee\VirusScan95\scan95, args: /autoscan /nosplash
Norton AntiVirus: C:\Program Files\Norton Antivirus\navw32.exe, Args (empty)
Or right click on any jobs and choose Virus Scan.

Q. How come the speed decreases when 99% were done?
A. When the download is near completion, there are only a few bytes/kilobytes left, so FlashGet only uses one or two Jet(s) to download,plus if Jets were badly connected, FlashGet will wait till time out and connect again, earlier versions default time out were 300sec, please change it to 90sec

Q. "Dll required" and "a device not functioning" problems(especially in Windows95)
A. These occur because some Dlls required by FlashGet do not exist or are not the right version, please install DCOM98 for Windows98 or DCOM95 for Windows95.

Q. "Failed to create empty document" occurs when running FlashGet
A. Please install Microsoft's Common Control
http://www.microsoft.com/msdownload/ieplatform/ie/comctrlx86.aspor DCOM98 for Windows98 or DCOM95 for Windows95.

Q. How to use FlashGet's management features? How to set default download folder?
A. FlashGet can categorize downloaded files and place them in specified folders, each category has its own directory. For example the category "MP3"'s default hard drive directory is c:\download\mp3. When putting a file into "MP3", the actual file will be placed in c:\download\mp3, all downloaded job can be moved to any Category, at the same time the actual file will be moved to the related folder as well. "Downloaded" is the default category, change its hard drive direstory changes the default download directory as well. We do not recommend you to change any default download directory

Q.I download from FTP-server with broken downloads resume-support via proxy-server, but "FlashGet" always starts download from the beginning. Why?
A.The proxy-server might not be supporting resume (like Microsoft Proxy Server). If this is a case, you may try to use direct connection or Winsock-client.

Q.What is the "PASV" mode (passive mode)?
A.Usually, when retrieving files over FTP, two connections are used: for commands and for data. Command-connection is set by client, data-connection is set by server. In some cases (when using firewall for instance) both connections have to be set by client. In such a cases server goes to passive mode when "PASV" command is sent from client.

Q.I can't retrieve file from FTP-server, what should I do?
A.If you are connected to Internet thru a firewall/proxy-server, please enable "PASV mode" in the FTP settings for your download(s).


Thanks -- FlashGet User Guide

Thanks
Thanks to those who reported bugs and/or gave suggestions. Especially for my friends listed below who helped me in making web site, writing help file etc. Thank you
  • Rookie Dai
  • Jan
  • etake
  • China stamp collection on line
  • Shan-shu (Mountain-water)